## jblas 0.3

=== Makefile ===
--- 
+++ 
@@ -44,10 +44,12 @@
 BLAS=$(LAPACK_HOME)/BLAS/SRC
 endif
 
-PACKAGE=org.jblas.la
+PACKAGE=org.jblas
 
 # generate path from package name
 PACKAGE_PATH=$(subst .,/,$(PACKAGE))
+
+LIB_PATH=native-libs/$(LINKAGE)/$(OS_NAME)/$(OS_ARCH)
 
 #
 # Pattern rules
@@ -68,12 +70,12 @@
 # the default target
 all	: compile-native
 
-compile-native : bin/$(LIB)jblas.$(SO)
+compile-native : $(LIB_PATH)/$(LIB)jblas.$(SO)
 
-generate-wrapper: src/$(PACKAGE_PATH)/Blas.java native/Blas.c
+generate-wrapper: src/$(PACKAGE_PATH)/NativeBlas.java native/NativeBlas.c
 
 clean:
-	rm -f native/*.o native/*.$(SO) bin/*.$(SO) src/$(PACKAGE_PATH)/Blas.java
+	rm -f native/*.o native/*.$(SO) $(LIB_PATH)/*.$(SO) src/$(PACKAGE_PATH)/NativeBlas.java
 
 ifeq ($(LAPACK_HOME),)
 realclean:
@@ -85,23 +87,26 @@
 endif
 
 # Generating the stubs. This target requires that the blas sources can be found in ~/src/blas/*.f
-src/$(PACKAGE_PATH)/Blas.java native/Blas.c: scripts/fortranwrapper.rb scripts/fortran.rb scripts/fortran/java.rb scripts/java-class.java scripts/java-impl.c
-	$(RUBY) scripts/fortranwrapper.rb $(PACKAGE) Blas \
+src/$(PACKAGE_PATH)/NativeBlas.java native/NativeBlas.c: scripts/fortranwrapper.rb scripts/fortran/types.rb scripts/fortran/java.rb scripts/java-class.java scripts/java-impl.c
+	$(RUBY) scripts/fortranwrapper.rb $(PACKAGE) NativeBlas \
 	$(BLAS)/*.f \
 	$(LAPACK)/[sd]gesv.f \
 	$(LAPACK)/[sd]sysv.f \
 	$(LAPACK)/[sd]syev.f \
 	$(LAPACK)/[sd]syev[rdx].f \
 	$(LAPACK)/[sd]posv.f \
-	$(LAPACK)/[sd]geev.f
+	$(LAPACK)/[sdcz]geev.f \
+	$(LAPACK)/[sd]getrf.f \
+    $(LAPACK)/[sd]potrf.f 
 
-bin/$(LIB)jblas.$(SO) : native/Blas.$(SO)
+$(LIB_PATH)/$(LIB)jblas.$(SO) : native/NativeBlas.$(SO)
+	mkdir -p $(LIB_PATH)
 	mv $< $@
 
 #
 # For testing
 #
-VERSION=0.1
+VERSION=0.3
 
 make test-dist:
 	ant clean tar
@@ -110,4 +115,26 @@
 	cd jblas-$(VERSION)
 	./configure
 	ant clean jar
+	java -cp jblas-$(VERSION).jar org.jblas.util.SanityChecks
 	cd ..
+
+#
+# Building different kinds of jar files
+#
+all-jars:
+	ant clean-jars
+	./configure --keep-options $$(cat configure.options)
+	ant jar 
+	ant lean-jar
+	./configure --keep-options --static-libs $$(cat configure.options)
+	ant compile-native static-jar fat-jar
+
+all-static-jars:
+	./configure --keep-options --static-libs $$(cat configure.options)
+	ant compile-native
+	for os_name in native-libs/*; do \
+	  for os_arch in $$os_name/* ; do \
+	    ant static-jar -Dos_name=$$(basename $$os_name) \
+		-Dos_arch=$$(basename $$os_arch); \
+	  done; \
+	done
