## jblas 1.1.1

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ## --- END LICENSE BLOCK ---
 
-VERSION=1.0.2
+VERSION=1.1.1
 
 ######################################################################
 #
@@ -91,17 +91,17 @@
 
 # Clean all object files
 clean:
-	rm -f native/*.o native/*.$(SO) $(LIB_PATH)/*.$(SO) $(FULL_LIB_PATH)/*.$(SO) src/$(PACKAGE_PATH)/NativeBlas.java
+	rm -f native/*.o native/*.$(SO) $(LIB_PATH)/*.$(SO) $(FULL_LIB_PATH)/*.$(SO) src/$(PACKAGE_PATH)/NativeBlas.java generated-sources
 
 # Full clean, including information extracted from the fortranwrappers.
 # You will need the original fortran sources in order to rebuild
 # the wrappers.
 ifeq ($(LAPACK_HOME),)
-realclean:
+realclean: clean
 	@echo "Since you don't have LAPACK sources, I cannot rebuild stubs and deleting the cached information is not a good idea."
 	@echo "(nothing deleted)"
 else
-realclean:
+realclean: clean
 	rm -f fortranwrapper.dump
 endif
 
@@ -110,9 +110,20 @@
 generated-sources: \
   scripts/fortranwrapper.rb scripts/fortran/types.rb \
   scripts/fortran/java.rb scripts/java-class.java scripts/java-impl.c \
-  src/org/jblas/util/ArchFlavor.java src/org/jblas/NativeBlas.java 
-	$(RUBY) scripts/fortranwrapper.rb $(PACKAGE) NativeBlas \
-	$(BLAS)/*.f \
+  src/org/jblas/util/ArchFlavor.java #src/org/jblas/NativeBlas.java 
+	$(RUBY) scripts/fortranwrapper.rb --complexcc $(CCC) $(PACKAGE) NativeBlas \
+	$(BLAS)/[sdcz]copy.f \
+	$(BLAS)/[sdcz]swap.f \
+	$(BLAS)/[sdcz]axpy.f \
+	$(BLAS)/[sdcz]scal.f \
+  $(BLAS)/[cz][sd]scal.f \
+	$(BLAS)/[sdcz]dot*.f \
+	$(BLAS)/[sd]*nrm2.f \
+	$(BLAS)/[sd]*asum.f \
+	$(BLAS)/i[sdcz]amax.f \
+	$(BLAS)/[sdcz]gemv.f \
+	$(BLAS)/[sdcz]ger*.f \
+	$(BLAS)/[sdcz]gemm.f \
 	$(LAPACK)/[sd]gesv.f \
 	$(LAPACK)/[sd]sysv.f \
 	$(LAPACK)/[sd]syev.f \
@@ -120,11 +131,14 @@
 	$(LAPACK)/[sd]posv.f \
 	$(LAPACK)/[sdcz]geev.f \
 	$(LAPACK)/[sd]getrf.f \
-	$(LAPACK)/[sd]potrf.f 
+	$(LAPACK)/[sd]potrf.f \
+	$(LAPACK)/[sdcz]gesvd.f
 	ant javah
 	touch $@
 
-native/NativeBlas.o: generated-sources
+native/NativeBlas.c: generated-sources
+
+native/NativeBlas.o: native/NativeBlas.c
 	$(CC) $(CFLAGS) $(INCDIRS) -c native/NativeBlas.c -o $@
 
 native/jblas_arch_flavor.o: generated-sources
