=== debian/changelog ===
jblas (1.1.1-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Add patch from upstream fixing a number of complex matrix related
  functions.

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 19 Oct 2010 12:11:02 +0200

jblas (1.1.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Soeren Sonnenburg <sonne@debian.org>  Thu, 09 Sep 2010 18:50:12 +0200

jblas (1.1-1) unstable; urgency=low

  * New upstream version (Closes: #593352)
  * Update Standards-Version: 3.9.1.0 (no changes).

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 18 Aug 2010 11:28:56 +0200

jblas (1.0.2-1) unstable; urgency=low

  * New upstream version (Closes: Bug#570652)
  * Fix installation on archs other than x86{,_64}.

 -- Soeren Sonnenburg <sonne@debian.org>  Thu, 25 Feb 2010 14:37:52 +0100

jblas (1.0.1-1) unstable; urgency=low

  * New upstream version.
  * Update Standards-Version: 3.8.4 (no changes).

 -- Soeren Sonnenburg <sonne@debian.org>  Thu, 11 Feb 2010 14:49:56 +0100

jblas (0.3-1) unstable; urgency=low

  [ Torsten Werner ]
  * Fix Vcs headers.

  [ Soeren Sonnenburg ]
  * New upstream version.
  * Update Standards-Version: 3.8.3 (no changes).
  * Upstream moved to github, change homepage, watchfile etc accordingly.

 -- Soeren Sonnenburg <sonne@debian.org>  Thu, 17 Sep 2009 17:30:53 +0200

jblas (0.1-2) unstable; urgency=low

  * Change Maintainer: Debian Java Maintainers.
  * Add myself to Uploaders.
  * Update Standards-Version: 3.8.2 (no changes).

 -- Torsten Werner <twerner@debian.org>  Mon, 29 Jun 2009 20:44:15 +0200

jblas (0.1-1) unstable; urgency=low

  * Initial Release (Closes: #522017)

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 10 Apr 2009 11:39:57 +0200
