=== debian/control ===
Source: jblas
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Soeren Sonnenburg <sonne@debian.org>,
 Torsten Werner <twerner@debian.org>
Build-Depends: cdbs, debhelper (>= 7), openjdk-6-jdk, ant-optional, gfortran,
 libatlas-base-dev, ruby
Standards-Version: 3.9.1.0
Section: science
Homepage: http://jblas.org
Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-java/trunk/jblas
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jblas/

Package: jblas
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openjdk-6-jre | sun-java6-jre,
Description: A fast linear algebra library for Java
 jblas is a fast linear algebra library for Java. jblas is essentially
 a light-weight wrapper around BLAS and LAPACK routines, the
 de-facto industry standard for matrix computations. It uses
 state-of-the-art implementations like ATLAS for all its computational
 routines, making it very fast. 
 .
 This package contains the binaries and examples.

Package: jblas-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: jblas
Section: doc
Description: A fast linear algebra library for Java
 jblas is a fast linear algebra library for Java. jblas is essentially
 a light-weight wrapper around BLAS and LAPACK routines, the
 de-facto industry standard for matrix computations. It uses
 state-of-the-art implementations like ATLAS for all its computational
 routines, making it very fast. 
 .
 This package contains the documentation.
