=== debian/changelog ===
jblas (1.2.0-4) unstable; urgency=low

  [ tony mancill ]
  * Team upload.
  * Remove "+ssh" from Vcs-Svn URL (Closes: #669573)
  * Bump Standards-Version to 3.9.3 (no changes).

  [ Soeren Sonnenburg ]
  * Explicitly build depend on ruby 1.8 fixing the FTBS. (Closes: #676111)

 -- tony mancill <tmancill@debian.org>  Sat, 21 Apr 2012 20:45:10 -0700

jblas (1.2.0-3) unstable; urgency=low

  * Switch to default-jdk. (Closes: #643513)
  * Improve Description.
  * Remove Java runtime from Depends.
  * Add Suggests: jblas-doc.

 -- Torsten Werner <twerner@debian.org>  Tue, 04 Oct 2011 21:46:11 +0200

jblas (1.2.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Soeren Sonnenburg <sonne@debian.org>  Mon, 14 Feb 2011 11:21:13 +0100

jblas (1.2.0-1) experimental; urgency=low

  * New upstream version.

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 14 Jan 2011 13:51:48 +0100
