=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/ant.mk
 
-JAVA_HOME_DIRS       := /usr/lib/jvm/java-6-openjdk
+JAVA_HOME            := /usr/lib/jvm/default-java
 DEB_ANT_BUILDFILE    := build.xml
 DEB_ANT_BUILD_TARGET := minimal-jar javadoc
 DEB_ANT_CLEAN_TARGET := clean clean-jars
@@ -20,7 +20,7 @@
 
 install/jblas::
 	install -m755 -d debian/jblas/usr/lib/jni
-	install -m644 $(shell find ./native-libs/dynamic/Linux/ -name '*.so') debian/jblas/usr/lib/jni
+	install -m644 $(shell find ./src/main/resources/lib/dynamic -name '*.so') debian/jblas/usr/lib/jni
 	install -m644 -D jblas-minimal-$(DEB_UPSTREAM_VERSION).jar debian/jblas/usr/share/java/jblas-$(DEB_UPSTREAM_VERSION).jar
 	dh_link -pjblas /usr/share/java/jblas-$(DEB_UPSTREAM_VERSION).jar /usr/share/java/jblas.jar
