## jblas 1.2.3

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ## --- END LICENSE BLOCK ---
 
-VERSION=1.2.0
+VERSION=1.2.1
 
 ######################################################################
 #
@@ -140,7 +140,10 @@
 	$(LAPACK)/[sd]getrf.f \
 	$(LAPACK)/[sd]potrf.f \
 	$(LAPACK)/[sdcz]gesvd.f \
-	$(LAPACK)/[sd]sygvd.f 
+	$(LAPACK)/[sd]sygvd.f \
+	$(LAPACK)/[sd]gelsd.f \
+	$(LAPACK)/ilaenv.f \
+	$(LAPACK)/[sd]geqrf.f $(LAPACK)/[sd]ormqr.f
 	ant javah
 	touch $@
