=== debian/changelog ===
jblas (1.2.3-6) unstable; urgency=medium

  * Declare a Build-Conflicts with locales-all.  See #788352.
    (Closes: #788353)

 -- tony mancill <tmancill@debian.org>  Wed, 10 Jun 2015 22:24:43 -0700

jblas (1.2.3-5) unstable; urgency=medium

  * Tweak debian/rules to address FTBFS (tests) on ppc64el.
    - Thanks to Fernando Seiti Furusato. (Closes: #770203)

 -- tony mancill <tmancill@debian.org>  Wed, 19 Nov 2014 22:58:37 -0800

jblas (1.2.3-4) unstable; urgency=medium

  * Tweak debian/rules for tests on arm64 to resolve FTBFS on that arch.
    (Thanks to Wookey for providing a porting box).
  * Bump Standards-Version to 3.9.6 (no changes).
  * Add myself to Uploaders.

 -- tony mancill <tmancill@debian.org>  Thu, 16 Oct 2014 21:35:50 -0700

jblas (1.2.3-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Tweak debian/rules for tests on powerpc.
  * Remove ./target/ in clean target of debian/rules.
  
 -- tony mancill <tmancill@debian.org>  Thu, 23 Jan 2014 20:37:23 -0800

jblas (1.2.3-2) experimental; urgency=medium

  * Team upload.
  * Set LD_LIBRARY_PATH before running unit tests to address FTBFS
    on architectures other than i386 and amd64.

 -- tony mancill <tmancill@debian.org>  Sun, 12 Jan 2014 09:59:54 -0800

jblas (1.2.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - Remove build-with-ruby19.patch
  * Set architecture to linux-any.
  * Upload to experimental.

 -- tony mancill <tmancill@debian.org>  Thu, 09 Jan 2014 20:47:40 -0800

jblas (1.2.0-6) unstable; urgency=medium

  * Team upload.
  * Restore lintian overrides that Soeren had added to SVN repo.
  * Relocate package repository to git; update Vcs URLs.
  * Constrict architectures to i386 and amd64.  (Closes: #734279)
    - This should be temporary; until jblas functions on other arches.

 -- tony mancill <tmancill@debian.org>  Thu, 09 Jan 2014 06:40:57 -0800

jblas (1.2.0-5) unstable; urgency=medium

  * Team upload.
  * Add build-with-ruby19.patch (Closes: #733773) 
    - package now has build-dep on locales
  * Enable tests.
    - package now has build-dep on junit4
  * Update Vcs URLs to be canonical.
  * Depend on DH 9.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- tony mancill <tmancill@debian.org>  Sat, 04 Jan 2014 12:29:52 -0800
