=== debian/control ===
--- 
+++ 
@@ -2,17 +2,26 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Soeren Sonnenburg <sonne@debian.org>,
- Torsten Werner <twerner@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), default-jdk, ant-optional, gfortran,
- libatlas-base-dev, ruby1.8
-Standards-Version: 3.9.3
+ Torsten Werner <twerner@debian.org>,
+ tony mancill <tmancill@debian.org>
+Build-Depends: cdbs,
+ debhelper (>= 9),
+ default-jdk,
+ ant-optional,
+ gfortran,
+ libatlas-base-dev,
+ ruby,
+ locales,
+ junit4
+Build-Conflicts: locales-all
+Standards-Version: 3.9.6
 Section: science
 Homepage: http://jblas.org
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jblas
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jblas/
+Vcs-Git: git://anonscm.debian.org/pkg-java/jblas.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jblas.git
 
 Package: jblas
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: jblas-doc
 Description: fast linear algebra library for Java
