=== debian/watch ===
version=3
http://github.com/mikiobraun/jblas/downloads .*/mikiobraun/jblas/tarball/jblas-(.*) \
 debian debian/orig-tar.sh
