## jblas 1.2.4

=== Makefile ===
--- 
+++ 
@@ -98,7 +98,10 @@
 
 # Clean all object files
 clean:
-	rm -f native/*.o native/*.$(SO) $(LIB_PATH)/*.$(SO) $(FULL_LIB_PATH)/*.$(SO) $(SRC_JAVA)/$(PACKAGE_PATH)/NativeBlas.java $(SRC_C)/NativeBlas.c generated-sources
+	rm -f native/*.o native/*.$(SO) \
+	 $(LIB_PATH)/$(LIB)jblas.$(SO) $(LIB_PATH)/$(LIB)jblas_arch_flavor.$(SO) \
+	 $(FULL_LIB_PATH)/$(LIB)jblas.$(SO) $(FULL_LIB_PATH)/$(LIB)jblas_arch_flavor.$(SO) \
+	 $(SRC_JAVA)/$(PACKAGE_PATH)/NativeBlas.java $(SRC_C)/NativeBlas.c generated-sources
 
 # Full clean, including information extracted from the fortranwrappers.
 # You will need the original fortran sources in order to rebuild
@@ -143,28 +146,29 @@
 	$(LAPACK)/[sd]sygvd.f \
 	$(LAPACK)/[sd]gelsd.f \
 	$(LAPACK)/ilaenv.f \
-	$(LAPACK)/[sd]geqrf.f $(LAPACK)/[sd]ormqr.f
+	$(LAPACK)/[sd]geqrf.f $(LAPACK)/[sd]ormqr.f \
+	$(LAPACK)/[sd]orgqr.f \
+	$(LAPACK)/[sd]sygvx.f
 	ant javah
 	touch $@
 
 $(SRC_C)/NativeBlas.c: generated-sources
 
-$(TARGET_C):
-	mkdir $(TARGET_C)
-
-$(TARGET_C)/NativeBlas.o: $(SRC_C)/NativeBlas.c $(TARGET_C)
+$(TARGET_C)/NativeBlas.o: $(SRC_C)/NativeBlas.c
+	@mkdir -p "$(dir $@)"
 	$(CC) $(CFLAGS) $(INCDIRS) -c $(SRC_C)/NativeBlas.c -o $@
 
 $(TARGET_C)/jblas_arch_flavor.o: generated-sources
+	@mkdir -p "$(dir $@)"
 	$(CC) $(CFLAGS) $(INCDIRS) -c $(SRC_C)/jblas_arch_flavor.c -o $@
 
 # Move the compile library to the machine specific directory.
 $(FULL_LIB_PATH)/$(LIB)jblas.$(SO) : $(TARGET_C)/NativeBlas.$(SO)
-	mkdir -p $(FULL_LIB_PATH)
+	@mkdir -p "$(dir $@)"
 	mv "$<" "$@"
 
 $(LIB_PATH)/$(LIB)jblas_arch_flavor.$(SO): $(SRC_C)/jblas_arch_flavor.$(SO)
-	mkdir -p $(LIB_PATH)
+	@mkdir -p "$(dir $@)"
 	mv "$<" "$@"
 
 ######################################################################
