=== debian/changelog ===
jblas (1.2.4-3) unstable; urgency=medium

  * Avoid B-D on specific BLAS/LAPACK implementation (Closes: #976264)
    Thank you to Mo Zhou for the patch.  Also see #943712.
  * Set Rules-Requires-Root: no in debian/control
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.1
  * Update Vcs URLs to point to Salsa
  * Check DEB_BUILD_OPTIONS before running tests
  * Update debian/watch URL on Github
  * No longer name the versioned JAR as a SNAPSHOT
  * Correct documentation path in doc-base

 -- tony mancill <tmancill@debian.org>  Sat, 12 Dec 2020 21:19:39 -0800

jblas (1.2.4-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #898227)
  * Removed Soeren Sonnenburg from the uploaders (Closes: #881836)
  * Removed the build conflict with locales-all
  * Merged and simplified the Java 9 patches
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 09 May 2018 00:30:33 +0200

jblas (1.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.4.
  * Fix FTBFS with Java 9. Thanks to Chris West for the report and patches.
    (Closes: #873212)
  * Ensure that jblas can be built twice in a row. Thanks to Zbigniew
    Jedrzejewski-Szmek for the report. (Closes: #698176)
  * Switch to compat level 10.
  * Drop orig-tar.sh script.
  * Improve watch file and detect new Github releases.
  * Improve get-orig-source target.
  * Declare compliance with Debian Policy 4.1.1.
  * Use canonical Vcs address.
  * Migrate from CDBS to DH sequencer and fix FTBFS with multiarch
    libatlas-base-dev. Thanks to Adrian Bunk for the report. (Closes: #877225)
  * wrap-and-sort -sa.
  * Add version-property.patch and fix the wrong version.
  * Install javadoc with jblas-doc.docs.
  * Remove jblas.lintian-overrides
  * Add javadoc.patch and ignore errors when building the documentation. This
    will create all necessary files including the missing index.html file.
  * Build with debug symbols.

 -- Markus Koschany <apo@debian.org>  Mon, 23 Oct 2017 21:25:10 +0200
