=== debian/watch ===
version=4
https://github.com/jblas-project/jblas/tags .*/jblas-(\d\S+)\.tar\.gz
