## jblas 1.2.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #       disclaimer in the documentation and/or other materials provided
 #       with the distribution.
 # 
-#     * Neither the name of the Technische Universität Berlin nor the
+#     * Neither the name of the Technische Universitaet Berlin nor the
 #       names of its contributors may be used to endorse or promote
 #       products derived from this software without specific prior
 #       written permission.
@@ -32,7 +32,7 @@
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ## --- END LICENSE BLOCK ---
 
-VERSION=1.2.1
+VERSION=1.2.5
 
 ######################################################################
 #
@@ -221,3 +221,67 @@
 		-Dos_arch=$$(basename $$os_arch); \
 	  done; \
 	done
+
+################################################################################
+#
+# Docker development
+#
+
+#------------------------------------------------
+# x86_64 / amd64
+#
+# Compile with 18.04, 20.04 for testing
+
+
+#
+# Ubuntu 18.04
+#
+shell-ubuntu1804:
+	docker build -f docker/dev-ubuntu1804.Dockerfile -t jblas/dev-ubuntu1804 .
+	docker run -it --rm -v $(PWD):/home/dev jblas/dev-ubuntu1804 /bin/bash
+
+test-ubuntu1804:
+	docker build -f docker/test-ubuntu1804.Dockerfile -t jblas/test-ubuntu1804 .
+	docker run --rm jblas/test-ubuntu1804 /bin/bash
+
+
+#
+# Ubuntu 20.04: Does not work on Ubuntu 18.04 if you use these!
+#
+shell-ubuntu2004:
+	docker build -f docker/dev-ubuntu2004.Dockerfile -t jblas/dev-ubuntu2004 .
+	docker run -it --rm -v $(PWD):/home/dev jblas/dev-ubuntu2004 /bin/bash
+
+test-ubuntu2004:
+	docker build -f docker/test-ubuntu2004.Dockerfile -t jblas/test-ubuntu2004 .
+	docker run --rm jblas/test-ubuntu2004 /bin/bash
+
+
+#----------------------------------------------------------
+# aarch64 / arm64
+#
+# Compile with 20.04, use 18.04 for testing (other way round!)
+
+shell-ubuntu1804-arm64:
+	docker build -f docker/dev-ubuntu1804-arm64.Dockerfile -t jblas/dev-ubuntu1804-arm64 .
+	docker run -it --rm -v $(PWD):/home/dev jblas/dev-ubuntu1804-arm64 /bin/bash
+
+test-ubuntu1804-arm64:
+	docker build -f docker/test-ubuntu1804-arm64.Dockerfile -t jblas/test-ubuntu1804-arm64 .
+	docker run --rm jblas/test-ubuntu1804-arm64 /bin/bash
+
+shell-ubuntu2004-arm64:
+	docker build -f docker/dev-ubuntu2004-arm64.Dockerfile -t jblas/dev-ubuntu2004-arm64 .
+	docker run -it --rm -v $(PWD):/home/dev jblas/dev-ubuntu2004-arm64 /bin/bash
+
+test-ubuntu2004-arm64:
+	docker build -f docker/test-ubuntu2004-arm64.Dockerfile -t jblas/test-ubuntu2004-arm64 .
+	docker run --rm jblas/test-ubuntu2004-arm64 /bin/bash
+
+#
+# meta build target.
+#
+build:
+	./configure
+	make clean all
+	mvn package -Dmaven.test.skip=True
