=== debian/changelog ===
jblas (1.2.5+dfsg-1) unstable; urgency=medium

  * New upstream version 1.2.5
  * Reformat debian/copyright and add Files-Excluded for DFSG repack
  * Update debian/watch for dfsg suffix
  * Add patch to correct typo in upstream configure for --dynamic-libs
  * Enable dynamic-libs for Debian build (this was the default in 1.2.4)
  * Install JNI library beneath multiarch tuple
  * Drop jblas-doc (javadoc) package
  * Bump Standards-Version to 4.6.2
  * Update debian/rules clean target (Closes: #1049092)

 -- tony mancill <tmancill@debian.org>  Sun, 15 Oct 2023 21:05:59 -0700
