=== debian/control ===
Source: jblas
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Torsten Werner <twerner@debian.org>,
 tony mancill <tmancill@debian.org>
Build-Depends:
 ant-optional,
 debhelper-compat (= 13),
 default-jdk,
 gfortran,
 junit4,
 libblas-dev,
 liblapack-dev,
 locales,
 ruby
Standards-Version: 4.6.2
Section: science
Homepage: https://jblas.org
Vcs-Git: https://salsa.debian.org/java-team/jblas.git
Vcs-Browser: https://salsa.debian.org/java-team/jblas
Rules-Requires-Root: no

Package: jblas
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: fast linear algebra library for Java
 jblas is a fast linear algebra library for Java. jblas is essentially
 a light-weight wrapper around BLAS and LAPACK routines, the
 de-facto industry standard for matrix computations. It uses
 state-of-the-art implementations like ATLAS for all its computational
 routines, making it very fast.
 .
 This package contains the binaries and examples.
