=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+VERSION_DFSG := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+dfsg//')
 export JAVA_HOME := /usr/lib/jvm/default-java
 export CLASSPATH := /usr/share/java/ant-nodeps.jar:/usr/share/java/junit4.jar:/usr/share/java/ant-junit4.jar:/usr/share/java/ant-junit.jar
 
@@ -16,25 +17,41 @@
 	localedef -f UTF-8 -i en_US ./debian/tmp/locale/en_US.UTF-8/
 	export LOCPATH=$(CURDIR)/debian/tmp/locale/ && \
 		export LC_ALL=en_US.UTF-8 && \
-		./configure --libpath=/usr/lib/$(DEB_HOST_MULTIARCH):/usr/lib/$(DEB_HOST_MULTIARCH)/blas:/usr/lib/$(DEB_HOST_MULTIARCH)/lapack --lapack-build --built-type=lapack
+		./configure --libpath=/usr/lib/$(DEB_HOST_MULTIARCH):/usr/lib/$(DEB_HOST_MULTIARCH)/blas:/usr/lib/$(DEB_HOST_MULTIARCH)/lapack --lapack-build --build-type=lapack --dynamic-libs
 	export LOCPATH=$(CURDIR)/debian/tmp/locale/ && \
 		export LC_ALL=en_US.UTF-8 && \
 		$(MAKE)
 	# Build the jar files
-	dh_auto_build -- minimal-jar javadoc
+	dh_auto_build -- minimal-jar
 
 override_dh_auto_clean:
+	for x in config/PrintProperty.class \
+		config/arch_flavor \
+		generated-sources \
+		src/main/resources/lib/dynamic/Linux/amd64/libjblas_arch_flavor.so \
+		src/main/resources/lib/dynamic/Linux/amd64/sse3/libjblas.so \
+		target/c/NativeBlas.o \
+		configure.log \
+		configure.options \
+		configure.out \
+		configure.xml \
+		src/main/java/org/jblas/ComplexDoubleMatrix.java.rjpp \
+		src/main/java/org/jblas/DoubleMatrix.java.rjpp \
+		src/main/java/org/jblas/MatrixFunctions.java.rjpp \
+		src/test/java/org/jblas/TestDoubleMatrix.java.rjpp ; do \
+	   rm -fv $$x ; done
 	dh_auto_clean -- clean clean-jars
 
 override_dh_install:
-	install -m755 -d debian/jblas/usr/lib/jni
-	install -m644 $(shell find ./src/main/resources/lib/dynamic -name '*.so') debian/jblas/usr/lib/jni
-	install -m644 -D jblas-minimal-$(DEB_VERSION_UPSTREAM).jar \
-		debian/jblas/usr/share/java/jblas-$(DEB_VERSION_UPSTREAM).jar
+	install -m755 -d debian/jblas/usr/lib/$(DEB_HOST_MULTIARCH)/jni
+	install -m644 $(shell find ./src/main/resources/lib/dynamic -name '*.so') \
+		debian/jblas/usr/lib/$(DEB_HOST_MULTIARCH)/jni
+	install -m644 -D jblas-minimal-$(VERSION_DFSG).jar \
+		debian/jblas/usr/share/java/jblas-$(VERSION_DFSG).jar
 
 override_dh_link:
 	dh_link
-	dh_link -pjblas /usr/share/java/jblas-$(DEB_VERSION_UPSTREAM).jar /usr/share/java/jblas.jar
+	dh_link -pjblas /usr/share/java/jblas-$(VERSION_DFSG).jar /usr/share/java/jblas.jar
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
