=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg,compression=xz,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
https://github.com/jblas-project/jblas/tags .*/jblas-(\d\S+)\.tar\.gz
